Pular para o conteúdo principal
GET
JavaScript

Autorizações

Authorization
string
header
obrigatório

Send your API key as a bearer token: Authorization: Bearer <api_key>. A test mode key starts with dodo_test_, for example dodo_test_AbCd1234EfGh5678.<secret>. A live mode key starts with dodo_live_. Use a test mode key on test.dodopayments.com and a live mode key on live.dodopayments.com. Keys from before these tags have no tag and operate as before.

Parâmetros de caminho

code
string
obrigatório

The discount code (e.g., 'SAVE20')

Resposta

Fetched discount by code

amount
integer<int32>
obrigatório

The discount amount in basis points (e.g., 540 => 5.4%).

business_id
string
obrigatório

The business this discount belongs to.

code
string
obrigatório

The discount code (up to 16 chars).

created_at
string<date-time>
obrigatório

Timestamp when the discount is created

customer_eligibility
enum<string>
obrigatório

Who may redeem this discount code.

Opções disponíveis:
any,
first_time,
existing,
specific
discount_id
string
obrigatório

The unique discount ID

metadata
Metadata · object
obrigatório

Arbitrary key-value metadata. Values can be string, integer, number, or boolean.

preserve_on_plan_change
boolean
obrigatório

Whether this discount should be preserved when a subscription changes plans. Default: false (discount is removed on plan change)

restricted_to
string[]
obrigatório

List of product IDs to which this discount is restricted.

times_used
integer<int32>
obrigatório

How many times this discount has been used.

type
enum<string>
obrigatório

The type of discount (percentage or flat).

Opções disponíveis:
flat,
percentage
currency_options
object[]

Per-currency options (flat deduction / percentage cap + minimum subtotal). Empty for discounts without any configured currency options.

expires_at
string<date-time> | null

Optional date/time after which discount is expired.

name
string | null

Name for the Discount

per_customer_usage_limit
integer<int32> | null

Maximum number of times a single customer may redeem this discount, if any.

starts_at
string<date-time> | null

Optional date/time before which the discount is not yet active. NULL = active immediately.

subscription_cycles
integer<int32> | null

Number of subscription billing cycles this discount is valid for. If not provided, the discount will be applied indefinitely to all recurring payments related to the subscription.

usage_limit
integer<int32> | null

Usage limit for this discount, if any.

Última modificação em 1 de abril de 2026